[arch-commits] Commit in monodevelop/repos (6 files)

Antonio Rojas arojas at archlinux.org
Sat Feb 18 19:06:46 UTC 2017


    Date: Saturday, February 18, 2017 @ 19:06:45
  Author: arojas
Revision: 289220

archrelease: copy trunk to staging-x86_64, staging-i686

Added:
  monodevelop/repos/staging-i686/
  monodevelop/repos/staging-i686/PKGBUILD
    (from rev 289219, monodevelop/trunk/PKGBUILD)
  monodevelop/repos/staging-i686/monodevelop-core-addins.pc.in.patch
    (from rev 289219, monodevelop/trunk/monodevelop-core-addins.pc.in.patch)
  monodevelop/repos/staging-x86_64/
  monodevelop/repos/staging-x86_64/PKGBUILD
    (from rev 289219, monodevelop/trunk/PKGBUILD)
  monodevelop/repos/staging-x86_64/monodevelop-core-addins.pc.in.patch
    (from rev 289219, monodevelop/trunk/monodevelop-core-addins.pc.in.patch)

----------------------------------------------------+
 staging-i686/PKGBUILD                              |   46 +++++++++++++++++++
 staging-i686/monodevelop-core-addins.pc.in.patch   |    8 +++
 staging-x86_64/PKGBUILD                            |   46 +++++++++++++++++++
 staging-x86_64/monodevelop-core-addins.pc.in.patch |    8 +++
 4 files changed, 108 insertions(+)

Copied: monodevelop/repos/staging-i686/PKGBUILD (from rev 289219, monodevelop/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2017-02-18 19:06:45 UTC (rev 289220)
@@ -0,0 +1,46 @@
+# $Id$
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+# Contributor: Timm Preetz <timm at preetz.us>
+# Contributor: Giovanni Scafora <giovanni at archlinux.org>
+
+pkgname=monodevelop
+pkgver=6.2.0.1778
+pkgrel=2
+pkgdesc="An IDE primarily designed for C# and other .NET languages"
+arch=('x86_64' 'i686')
+url="http://www.monodevelop.com"
+license=('GPL')
+depends=('mono>=4.0.1' 'mono-addins>=0.6.2' 'gtk-sharp-2' 'referenceassemblies-pcl' 'fsharp' 'libssh2' 'curl')
+makedepends=('rsync' 'cmake' 'git' 'nuget')
+replaces=('monodevelop-debugger-gdb')
+provides=('monodevelop-debugger-gdb')
+options=(!makeflags)
+optdepends=('xsp: To run ASP.NET pages directly from monodevelop')
+source=(git://github.com/mono/monodevelop.git#tag=monodevelop-$pkgver)
+md5sums=('SKIP')
+
+prepare() {
+  cd $pkgname
+  git submodule update --init --recursive || return 1
+  git checkout tags/$pkgname-$pkgver
+  git clean -dfx
+}
+
+build() {
+  cd $pkgname
+  
+  ./configure --prefix=/usr --profile=stable 
+  XDG_CONFIG_HOME="$srcdir"/config LD_PRELOAD="" make
+}
+
+package() {
+  cd $pkgname
+  
+  XDG_CONFIG_HOME="$srcdir"/config LD_PRELOAD="" make DESTDIR="$pkgdir" install
+  # delete conflicting files
+  find "$pkgdir"/usr/share/mime/ -type f -delete
+
+  # NuGet.exe is missing somehow, fixed FS#43423
+  #install -Dm755 "${srcdir}"/monodevelop/main/external/nuget-binary/NuGet.exe "${pkgdir}"/usr/lib/monodevelop/AddIns/MonoDevelop.PackageManagement/NuGet.exe
+}
+

Copied: monodevelop/repos/staging-i686/monodevelop-core-addins.pc.in.patch (from rev 289219, monodevelop/trunk/monodevelop-core-addins.pc.in.patch)
===================================================================
--- staging-i686/monodevelop-core-addins.pc.in.patch	                        (rev 0)
+++ staging-i686/monodevelop-core-addins.pc.in.patch	2017-02-18 19:06:45 UTC (rev 289220)
@@ -0,0 +1,8 @@
+--- monodevelop-core-addins.pc.in	2012-07-27 21:33:41.000000000 +0200
++++ monodevelop-core-addins.pc.in.new	2012-08-04 12:42:36.086516667 +0200
+@@ -6,4 +6,4 @@
+ Name: MonoDevelop Core Add-ins
+ Description: MonoDevelop Core Add-ins
+ Version: @VERSION@
+-Libs: -r:${libdir}/AddIns/VersionControl/MonoDevelop.VersionControl.dll -r:${libdir}/AddIns/NUnit/MonoDevelop.NUnit.dll -r:${libdir}/AddIns/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.dll -r:${libdir}/AddIns/MonoDevelop.AspNet/MonoDevelop.AspNet.dll -r:${libdir}/AddIns/DisplayBindings/Gettext/MonoDevelop.Gettext.dll -r:${libdir}/AddIns/MonoDevelop.Deployment/MonoDevelop.Deployment.dll -r:${libdir}/AddIns/MonoDevelop.Deployment/MonoDevelop.Deployment.Linux.dll -r:${libdir}/AddIns/MonoDevelop.GtkCore/MonoDevelop.GtkCore.dll -r:${libdir}/AddIns/MonoDevelop.DesignerSupport/MonoDevelop.DesignerSupport.dll -r:${libdir}/AddIns/BackendBindings/MonoDevelop.VBNetBinding.dll -r:${libdir}/AddIns/BackendBindings/MonoDevelop.CBinding.dll -r:${libdir}/AddIns/BackendBindings/MonoDevelop.CSharpBinding.dll -r:${libdir}/AddIns/MonoDevelop.Autotools/MonoDevelop.Autotools.dll -r:${libdir}/AddIns/DisplayBindings/SourceEditor/MonoDevelop.SourceEditor2.dll -r:${libdir}/AddIns/MonoDevelop.Debugger/MonoDeve
 lop.Debugger.dll -r:${libdir}/AddIns/MonoDevelop.Refactoring/MonoDevelop.Refactoring.dll  -r:${libdir}/AddIns/MonoDevelop.Debugger.Soft/Mono.Debugging.Soft.dll -r:${libdir}/AddIns/MonoDevelop.Debugger.Soft/MonoDevelop.Debugger.Soft.dll -r:${libdir}/AddIns/MonoDevelop.Debugger.Soft/Mono.Debugger.Soft.dll
++Libs: -r:${libdir}/AddIns/VersionControl/MonoDevelop.VersionControl.dll -r:${libdir}/AddIns/NUnit/MonoDevelop.NUnit.dll -r:${libdir}/AddIns/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.dll -r:${libdir}/AddIns/MonoDevelop.AspNet/MonoDevelop.AspNet.dll -r:${libdir}/AddIns/DisplayBindings/MonoDevelop.Gettext/MonoDevelop.Gettext.dll -r:${libdir}/AddIns/MonoDevelop.Deployment/MonoDevelop.Deployment.dll -r:${libdir}/AddIns/MonoDevelop.Deployment/MonoDevelop.Deployment.Linux.dll -r:${libdir}/AddIns/MonoDevelop.GtkCore/MonoDevelop.GtkCore.dll -r:${libdir}/AddIns/MonoDevelop.DesignerSupport/MonoDevelop.DesignerSupport.dll -r:${libdir}/AddIns/BackendBindings/MonoDevelop.VBNetBinding.dll -r:${libdir}/AddIns/BackendBindings/MonoDevelop.CBinding.dll -r:${libdir}/AddIns/BackendBindings/MonoDevelop.CSharpBinding.dll -r:${libdir}/AddIns/MonoDevelop.Autotools/MonoDevelop.Autotools.dll -r:${libdir}/AddIns/DisplayBindings/SourceEditor/MonoDevelop.SourceEditor2.dll -r:${libdir}/AddIns/MonoDevelop.Debug
 ger/MonoDevelop.Debugger.dll -r:${libdir}/AddIns/MonoDevelop.Refactoring/MonoDevelop.Refactoring.dll  -r:${libdir}/AddIns/MonoDevelop.Debugger.Soft/Mono.Debugging.Soft.dll -r:${libdir}/AddIns/MonoDevelop.Debugger.Soft/MonoDevelop.Debugger.Soft.dll -r:${libdir}/AddIns/MonoDevelop.Debugger.Soft/Mono.Debugger.Soft.dll

Copied: monodevelop/repos/staging-x86_64/PKGBUILD (from rev 289219, monodevelop/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2017-02-18 19:06:45 UTC (rev 289220)
@@ -0,0 +1,46 @@
+# $Id$
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+# Contributor: Timm Preetz <timm at preetz.us>
+# Contributor: Giovanni Scafora <giovanni at archlinux.org>
+
+pkgname=monodevelop
+pkgver=6.2.0.1778
+pkgrel=2
+pkgdesc="An IDE primarily designed for C# and other .NET languages"
+arch=('x86_64' 'i686')
+url="http://www.monodevelop.com"
+license=('GPL')
+depends=('mono>=4.0.1' 'mono-addins>=0.6.2' 'gtk-sharp-2' 'referenceassemblies-pcl' 'fsharp' 'libssh2' 'curl')
+makedepends=('rsync' 'cmake' 'git' 'nuget')
+replaces=('monodevelop-debugger-gdb')
+provides=('monodevelop-debugger-gdb')
+options=(!makeflags)
+optdepends=('xsp: To run ASP.NET pages directly from monodevelop')
+source=(git://github.com/mono/monodevelop.git#tag=monodevelop-$pkgver)
+md5sums=('SKIP')
+
+prepare() {
+  cd $pkgname
+  git submodule update --init --recursive || return 1
+  git checkout tags/$pkgname-$pkgver
+  git clean -dfx
+}
+
+build() {
+  cd $pkgname
+  
+  ./configure --prefix=/usr --profile=stable 
+  XDG_CONFIG_HOME="$srcdir"/config LD_PRELOAD="" make
+}
+
+package() {
+  cd $pkgname
+  
+  XDG_CONFIG_HOME="$srcdir"/config LD_PRELOAD="" make DESTDIR="$pkgdir" install
+  # delete conflicting files
+  find "$pkgdir"/usr/share/mime/ -type f -delete
+
+  # NuGet.exe is missing somehow, fixed FS#43423
+  #install -Dm755 "${srcdir}"/monodevelop/main/external/nuget-binary/NuGet.exe "${pkgdir}"/usr/lib/monodevelop/AddIns/MonoDevelop.PackageManagement/NuGet.exe
+}
+

Copied: monodevelop/repos/staging-x86_64/monodevelop-core-addins.pc.in.patch (from rev 289219, monodevelop/trunk/monodevelop-core-addins.pc.in.patch)
===================================================================
--- staging-x86_64/monodevelop-core-addins.pc.in.patch	                        (rev 0)
+++ staging-x86_64/monodevelop-core-addins.pc.in.patch	2017-02-18 19:06:45 UTC (rev 289220)
@@ -0,0 +1,8 @@
+--- monodevelop-core-addins.pc.in	2012-07-27 21:33:41.000000000 +0200
++++ monodevelop-core-addins.pc.in.new	2012-08-04 12:42:36.086516667 +0200
+@@ -6,4 +6,4 @@
+ Name: MonoDevelop Core Add-ins
+ Description: MonoDevelop Core Add-ins
+ Version: @VERSION@
+-Libs: -r:${libdir}/AddIns/VersionControl/MonoDevelop.VersionControl.dll -r:${libdir}/AddIns/NUnit/MonoDevelop.NUnit.dll -r:${libdir}/AddIns/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.dll -r:${libdir}/AddIns/MonoDevelop.AspNet/MonoDevelop.AspNet.dll -r:${libdir}/AddIns/DisplayBindings/Gettext/MonoDevelop.Gettext.dll -r:${libdir}/AddIns/MonoDevelop.Deployment/MonoDevelop.Deployment.dll -r:${libdir}/AddIns/MonoDevelop.Deployment/MonoDevelop.Deployment.Linux.dll -r:${libdir}/AddIns/MonoDevelop.GtkCore/MonoDevelop.GtkCore.dll -r:${libdir}/AddIns/MonoDevelop.DesignerSupport/MonoDevelop.DesignerSupport.dll -r:${libdir}/AddIns/BackendBindings/MonoDevelop.VBNetBinding.dll -r:${libdir}/AddIns/BackendBindings/MonoDevelop.CBinding.dll -r:${libdir}/AddIns/BackendBindings/MonoDevelop.CSharpBinding.dll -r:${libdir}/AddIns/MonoDevelop.Autotools/MonoDevelop.Autotools.dll -r:${libdir}/AddIns/DisplayBindings/SourceEditor/MonoDevelop.SourceEditor2.dll -r:${libdir}/AddIns/MonoDevelop.Debugger/MonoDeve
 lop.Debugger.dll -r:${libdir}/AddIns/MonoDevelop.Refactoring/MonoDevelop.Refactoring.dll  -r:${libdir}/AddIns/MonoDevelop.Debugger.Soft/Mono.Debugging.Soft.dll -r:${libdir}/AddIns/MonoDevelop.Debugger.Soft/MonoDevelop.Debugger.Soft.dll -r:${libdir}/AddIns/MonoDevelop.Debugger.Soft/Mono.Debugger.Soft.dll
++Libs: -r:${libdir}/AddIns/VersionControl/MonoDevelop.VersionControl.dll -r:${libdir}/AddIns/NUnit/MonoDevelop.NUnit.dll -r:${libdir}/AddIns/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.dll -r:${libdir}/AddIns/MonoDevelop.AspNet/MonoDevelop.AspNet.dll -r:${libdir}/AddIns/DisplayBindings/MonoDevelop.Gettext/MonoDevelop.Gettext.dll -r:${libdir}/AddIns/MonoDevelop.Deployment/MonoDevelop.Deployment.dll -r:${libdir}/AddIns/MonoDevelop.Deployment/MonoDevelop.Deployment.Linux.dll -r:${libdir}/AddIns/MonoDevelop.GtkCore/MonoDevelop.GtkCore.dll -r:${libdir}/AddIns/MonoDevelop.DesignerSupport/MonoDevelop.DesignerSupport.dll -r:${libdir}/AddIns/BackendBindings/MonoDevelop.VBNetBinding.dll -r:${libdir}/AddIns/BackendBindings/MonoDevelop.CBinding.dll -r:${libdir}/AddIns/BackendBindings/MonoDevelop.CSharpBinding.dll -r:${libdir}/AddIns/MonoDevelop.Autotools/MonoDevelop.Autotools.dll -r:${libdir}/AddIns/DisplayBindings/SourceEditor/MonoDevelop.SourceEditor2.dll -r:${libdir}/AddIns/MonoDevelop.Debug
 ger/MonoDevelop.Debugger.dll -r:${libdir}/AddIns/MonoDevelop.Refactoring/MonoDevelop.Refactoring.dll  -r:${libdir}/AddIns/MonoDevelop.Debugger.Soft/Mono.Debugging.Soft.dll -r:${libdir}/AddIns/MonoDevelop.Debugger.Soft/MonoDevelop.Debugger.Soft.dll -r:${libdir}/AddIns/MonoDevelop.Debugger.Soft/Mono.Debugger.Soft.dll



More information about the arch-commits mailing list